package org.josast.equationKepler.demo;

import org.josast.equationKepler.Kepler;
import org.josast.equationKepler.KeplerFixPpoint;
import org.josast.equationKepler.KeplerNewton;


/**
 * <b>Description : This class is use for Kepler Equation Demonstration</b>
 * 
 * <p>
 * Projet : JCP <BR><br>
 * <b>JOSAST</b> : Java Open Source Amateur Satellite  Toolbox  <br>
 * The aim of the project is to create a set of tools for amateur
 * satellite purpose. All this tools could be used together to create
 * specific software. <b>JOSAST</b> project is managed by AVMDTI (<A
 * HREF="http://www.avmdti.org">http://www.avmdti.org </a> ) <br>
 * This software is an open source software. Please read the <b><i>JOSAST
 * licence</i></b><BR>(<A
 * HREF="http://www.avmdti.org">http://www.avmdti.org </a> )
 * </p>
 * 
 * <p>
 * for more information contact <a href="mailto:josast@avmdti.org">josast
 * at avmdti.org</a>
 * </p>
 *
 * @author <a href="mailto:mercier.josast@avmdti.org">mercier</a>
 * @version 1.0 <p><p>
 */
public class DemoMain {
    //~ Methods -----------------------------------------------------------


    public static void main(String args[]) {
        Kepler K = new KeplerFixPpoint();
        System.out.println("Fixed Point Method");
        System.out.println("Test kepler Fix Point : 50  , E = 0,72");
        System.out.println(K.calcul(Math.toRadians(50), 0.72));
        System.out.println("Test kepler Fix Point : 4  , E = 0,72");
        System.out.println(K.calcul(Math.toRadians(4), 0.72));
        System.out.println("Newton Method");
        K = new KeplerNewton();
        System.out.println("Test kepler Fix Point : 50  , E = 0,72");
        System.out.println(K.calcul(Math.toRadians(50), 0.72));
        System.out.println("Test kepler Fix Point : 4  , E = 0,72");
        System.out.println(K.calcul(Math.toRadians(4), 0.72));
    }
}
